Loading...
Searching...
No Matches
fitness::Fitness::ErrorLogEntry Struct Reference

An entry in the reliability error log. More...

`import <Fitness.idl;`

## Public Attributes

string | id
| id of the associated data entry
int | value
| normalized value
int | thresholdValue
| normalized threshold value
long | rawValue
| raw value
int | powerOnHours
| power on hours when error occured
time | timeStampUTC
| UTC time stamp when error occured.

## Detailed Description

An entry in the reliability error log.

An error log entry is made when the normalized value of a data entry drops below the normalized threshold value.

Definition at line 38 of file Fitness.idl.

## Member Data Documentation

## id

string fitness::Fitness::ErrorLogEntry::id

id of the associated data entry

Definition at line 39 of file Fitness.idl.

## powerOnHours

int fitness::Fitness::ErrorLogEntry::powerOnHours

power on hours when error occured

Definition at line 43 of file Fitness.idl.

## rawValue

long fitness::Fitness::ErrorLogEntry::rawValue

raw value

Definition at line 42 of file Fitness.idl.

## thresholdValue

int fitness::Fitness::ErrorLogEntry::thresholdValue

normalized threshold value

Definition at line 41 of file Fitness.idl.

## timeStampUTC

time fitness::Fitness::ErrorLogEntry::timeStampUTC

UTC time stamp when error occured.

Definition at line 44 of file Fitness.idl.

## value

int fitness::Fitness::ErrorLogEntry::value

normalized value

Definition at line 40 of file Fitness.idl.

The documentation for this struct was generated from the following file:

- Fitness.idl